Retrieve all RICALs
Analytics Events
/v1/ecosystems/{ecosystemId}/ricals/publicRetrieves all RICALs available in the requested ecosystem.
The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the Retrieve specific RICAL or Retrieve latest RICAL endpoint.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytic events
- ECOSYSTEM_RICAL_RETRIEVE_LIST_START
- ECOSYSTEM_RICAL_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_RICAL_RETRIEVE_LIST_FAIL
Path Parameters
The UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/public"{
"data": [
{
"ricalIssueID": 1337,
"date": "2024-07-28T23:01:13.000Z",
"filename": "rical-2024-07-28-1722164473000.cbor",
"isAutoPublished": false
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create RICAL POST
Creates a Reader Identity Certificate Authority List (RICAL) based on the policy of the requested ecosystem. A [RICAL configuration](#operation/updateRicalConfiguration) is required in order for RICALs to be created. ### **Analytic events** * ECOSYSTEM_RICAL_CREATE_START * ECOSYSTEM_RICAL_CREATE_SUCCESS * ECOSYSTEM_RICAL_CREATE_FAIL
Retrieve specific RICAL GET
Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_START * ECOSYSTEM_RICAL_RETRIEVE_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_FAIL